<?php
/**
 * The Template for displaying all single posts.
 *
 * @package WordPress
 * @subpackage Twenty_Ten
 * @since Twenty Ten 1.0
 */

get_header(); ?>

		<div id="container">
			<div id="content" role="main">

<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>

				<!-- Cette balise permet d'afficher le haut du post-it que reprsente chaque article -->
				<div class="post-top"></div>
				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                <!-- Cette balise permet d'afficher le bas du post-it que reprsente chaque article -->
				<div class="post-bottom"></div>
                	<!-- le titre de l'article -->
					<h1 class="entry-title"><?php the_title(); ?></h1>
                    <!-- On affiche la date avec le bon Format -->
					<div class="date"><?php the_date('d-M'); // affiche la date de publication ?></div>

					<!-- Le contenu de l'article -->
					<div class="entry-content">
						<?php the_content(); ?>
						<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'twentyten' ), 'after' => '</div>' ) ); ?>
					</div><!-- .entry-content -->

<?php if ( get_the_author_meta( 'description' ) ) : // If a user has filled out their description, show a bio on their entries  ?>
					<div id="entry-author-info">
						<div id="author-avatar">
							<?php echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'twentyten_author_bio_avatar_size', 60 ) ); ?>
						</div><!-- #author-avatar -->
						<div id="author-description">
							<h2><?php printf( esc_attr__( 'About %s', 'twentyten' ), get_the_author() ); ?></h2>
							<?php the_author_meta( 'description' ); ?>
							<div id="author-link">
								<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>">
									<?php printf( __( 'View all posts by %s <span class="meta-nav">&rarr;</span>', 'twentyten' ), get_the_author() ); ?>
								</a>
							</div><!-- #author-link	-->
						</div><!-- #author-description -->
					</div><!-- #entry-author-info -->
<?php endif; ?>

					<div class="entry-utility">
						<?php twentyten_posted_in(); ?>
						<?php edit_post_link( __( 'Edit', 'twentyten' ), '<span class="edit-link">', '</span>' ); ?>
					</div><!-- .entry-utility -->
                    
                    <!-- Cette balise en overflow:hidden permet de cadrer la liste des tags qui est en flottant -->
					<div style="overflow:hidden; margin: 20px 0;">
                    
					<!-- la liste des tags spars par une virgule -->
                    <span class="tag-links">
                        <?php the_tags(' ',' , ','<br />'); ?>
                    </span>
                    </div>
				</div><!-- #post-## -->
				
                <!-- Navigation d'un article  un autre positionne en bas de l'article -->
				<div id="nav-below" class="navigation">
					<div class="nav-previous"><?php previous_post_link( '%link', '<span class="meta-nav">' . _x( '&larr;', 'Previous post link', 'twentyten' ) . '</span> %title' ); ?></div>
					<div class="nav-next"><?php next_post_link( '%link', '%title <span class="meta-nav">' . _x( '&rarr;', 'Next post link', 'twentyten' ) . '</span>' ); ?></div>
				</div><!-- #nav-below -->

				<?php comments_template( '', true ); ?>

<?php endwhile; // end of the loop. ?>

			</div><!-- #content -->
			
            <!-- Placement de la sidebar dans la div container -->
			<?php get_sidebar(); ?>
            
		</div><!-- #container -->

<?php get_footer(); ?>
